# Uses of Class
org.snpeff.interval.Marker

Packages that use Marker
Package
Description
org.snpeff.binseq
org.snpeff.coverage
org.snpeff.fileIterator
org.snpeff.interval
org.snpeff.interval.codonChange
org.snpeff.interval.tree
org.snpeff.outputFormatter
org.snpeff.probablility
org.snpeff.serializer
org.snpeff.snpEffect
org.snpeff.snpEffect.factory
org.snpeff.stats
org.snpeff.svg
org.snpeff.vcf

## Uses of Marker in org.snpeff.binseq

Methods in org.snpeff.binseq with parameters of type Marker
Modifier and Type
Method
Description
`MarkerSeq`
GenomicSequences.`queryMarkerSequence(Marker marker)`
Find a marker (with sequence) containing query 'marker' Could trigger loading sequences form database
`String`
GenomicSequences.`querySequence(Marker marker)`
Get sequence for a marker

## Uses of Marker in org.snpeff.coverage

Methods in org.snpeff.coverage that return types with arguments of type Marker
Modifier and Type
Method
Description
`CountByKey<Marker>`
CountReads.`getCountBases()`
`CountByKey<Marker>`
CountReads.`getCountReads()`
Methods in org.snpeff.coverage with parameters of type Marker
Modifier and Type
Method
Description
`void`
CountReads.`addMarkerType(Marker marker, String type)`
`void`
CountReadsOnMarkers.`addMarkerType(Marker marker, String type)`
`void`
MarkerTypes.`addType(Marker marker, String type)`
`double`
CountFragments.`avgCoverage(Marker m)`
Calculate Fragments Per Kilobase of exon per Million fragments mapped (FPKM)
`double`
Coverage.`avgCoverage(Marker m)`
Calculate average coverage per base
`long`
Coverage.`coverage(Marker m)`
Calculate total coverage per base
`String`
MarkerTypes.`getSubType(Marker marker)`
Some markers have sub-types
`String`
MarkerTypes.`getType(Marker marker)`
Get marker type
`String`
MarkerTypes.`getTypeRank(Marker marker)`
Get marker + rank (in case of exon or intron)
`boolean`
MarkerTypes.`isType(Marker m, String mtype)`

## Uses of Marker in org.snpeff.fileIterator

Classes in org.snpeff.fileIterator with type parameters of type Marker
Modifier and Type
Class
Description
`class`
`MarkerFileIterator<M extends Marker>`
Opens a Marker file and iterates over all markers

## Uses of Marker in org.snpeff.interval

Classes in org.snpeff.interval with type parameters of type Marker
Modifier and Type
Class
Description
`class`
`IntervalAndSubIntervals<T extends Marker>`
Interval that contains sub intervals.
Subclasses of Marker in org.snpeff.interval
Modifier and Type
Class
Description
`class`
`Cds`
CDS: The coding region of a gene, also known as the coding sequence or CDS (from Coding DNA Sequence), is that portion of a gene's DNA or RNA, composed of exons, that codes for protein.
`class`
`Chromosome`
Interval for the whole chromosome If a SNP has no 'ChromosomeInterval' => it is outside the chromosome => Invalid
`class`
`Custom`
This is a custom interval (i.e.
`class`
`Downstream`
Interval for a gene, as well as some other information: exons, utrs, cds, etc.
`class`
`Exon`
Interval for an exon
`class`
`Gene`
Interval for a gene, as well as transcripts
`class`
`GenericMarker`
An interval intended as a mark
`class`
`Genome`
This is just used for the Interval class.
`class`
`GffMarker`
An interval intended as a mark
`class`
`Gtf2Marker`
An interval intended as a mark
`class`
`Intergenic`
Interval for in intergenic region
`class`
`IntergenicConserved`
Interval for a conserved intergenic region
`class`
`IntervalAndSubIntervals<T extends Marker>`
Interval that contains sub intervals.
`class`
`Intron`
Intron
`class`
`IntronConserved`
Interval for a conserved non-coding region in an intron
`class`
`MarkerParentId`
This is a marker used as a 'fake' parent during data serialization
`class`
`MarkerSeq`
Marker with a DNA sequence
`class`
`MicroRnaBindingSite`
miRna binding site (usually this was predicted by some algorithm)
`class`
`Motif`
Regulatory elements
`class`
`NextProt`
NextProt annotation marker
`class`
`ProteinInteractionLocus`
Protein interaction: An amino acid that is "in contact" with another amino acid.
`class`
`ProteinProteinInteractionLocus`
Protein interaction: An amino acid that is "in contact" with another amino acid within the same protein.
`class`
`ProteinStructuralInteractionLocus`
Protein interaction: An amino acid that is "in contact" with another amino acid.
`class`
`RareAminoAcid`
Rare amino acid annotation: These are amino acids that occurs very rarely in an organism.
`class`
`Regulation`
Regulatory elements
`class`
`SpliceSite`
Interval for a splice site Reference: http://en.wikipedia.org/wiki/RNA_splicing Spliceosomal introns often reside in eukaryotic protein-coding genes.
`class`
`SpliceSiteAcceptor`
Interval for a splice site acceptor Note: Splice sites donnor are defined as the last 2 bases of an intron Reference: http://en.wikipedia.org/wiki/RNA_splicing
`class`
`SpliceSiteBranch`
A (putative) branch site.
`class`
`SpliceSiteBranchU12`
A (putative) U12 branch site.
`class`
`SpliceSiteDonor`
Interval for a splice site donnor Note: Splice sites donnor are defined as the first 2 bases of an intron Reference: http://en.wikipedia.org/wiki/RNA_splicing
`class`
`SpliceSiteRegion`
Interval for a splice site acceptor From Sequence Ontology: A sequence variant in which a change has occurred within the region of the splice site, either within 1-3 bases of the exon or 3-8 bases of the intron.
`class`
`Transcript`
Interval for a transcript, as well as some other information: exons, utrs, cds, etc.
`class`
`Upstream`
Interval for a gene, as well as some other information: exons, utrs, cds, etc.
`class`
`Utr`
Interval for a UTR (5 prime UTR and 3 prime UTR
`class`
`Utr3prime`
Interval for a UTR (5 prime UTR and 3 prime UTR
`class`
`Utr5prime`
Interval for a UTR (5 prime UTR and 3 prime UTR
`class`
`Variant`
A variant represents a change in a reference sequence As of version 4.0, variants have no strand, i.e.
`class`
`VariantBnd`
A 'BND' variant (i.e.
`class`
`VariantNonRef`
A variant respect to non-reference (e.g.
`class`
`VariantWithScore`
A variant that has a numeric score.
Classes in org.snpeff.interval that implement interfaces with type arguments of type Marker
Modifier and Type
Class
Description
`class`
`IntervalComparatorByEnd`
Compare intervals by end position
`class`
`IntervalComparatorByStart`
Compare intervals by start position
`class`
`IntervalSetIterator`
Iterate over intervals.
`class`
`IntervalSetIterator`
Iterate over intervals.
`class`
`Markers`
A collection of markers
Fields in org.snpeff.interval with type parameters of type Marker
Modifier and Type
Field
Description
`protected ArrayList<Marker>`
Markers.`markers`
Methods in org.snpeff.interval that return Marker
Modifier and Type
Method
Description
`Marker`
Marker.`apply(Variant variant)`
Apply a variant to a marker.
`protected Marker`
Marker.`applyDel(Variant variant)`
Apply a Variant to a marker.
`protected Marker`
Marker.`applyDup(Variant variant)`
Apply a Variant to a marker.
`protected Marker`
Marker.`applyIns(Variant variant)`
Apply a Variant to a marker.
`protected Marker`
Marker.`applyMixed(Variant variant)`
Apply a mixed variant Note: MIXED variant is interpreted as "MNP + InDel"
`Marker`
Transcript.`cdsMarker()`
Create a marker of the coding region in this transcript
`Marker`
Marker.`clone()`
`Marker`
Marker.`cloneShallow()`
Perform a shallow clone
`Marker`
Markers.`get(int i)`
`Marker`
VariantBnd.`getEndPoint()`
`Marker`
Marker.`getParent()`
`Marker`
Transcript.`getTss()`
Create a TSS marker
`Marker`
Marker.`intersect(Marker marker)`
Intersect of two markers
`Marker[]`
Markers.`toArray()`
`Marker`
Marker.`union(Marker m)`
Union of two markers
`Marker`
MarkerSeq.`union(Marker m)`
Union of two markers
Methods in org.snpeff.interval that return types with arguments of type Marker
Modifier and Type
Method
Description
`static Map<Marker,Marker>`
MarkerUtil.`collapseZeroGap(Markers markersOri)`
Collapse adjacent intervals (i.e.
`static Map<Marker,Marker>`
MarkerUtil.`collapseZeroGap(Markers markersOri)`
Collapse adjacent intervals (i.e.
`List<Marker>`
Genes.`createUpDownStream(int upDownLength)`
Creates a list of UP/DOWN stream regions (for each transcript) Upstream (downstream) stream is defined as upDownLength before (after) transcript Note: If upDownLength invalid input: '<'=0 no interval is created
`List<Marker>`
Markers.`getMarkers()`
`Iterator<Set<Marker>>`
IntervalSetIterator.`iterator()`
`Iterator<Marker>`
Markers.`iterator()`
`Set<Marker>`
IntervalSetIterator.`next()`
`static Map<Marker,Marker>`
MarkerUtil.`redundant(Collection<? extends Marker> markersOri)`
Redundant markers in a list: Find intervals that are totally included in other intervals in the list
`static Map<Marker,Marker>`
MarkerUtil.`redundant(Collection<? extends Marker> markersOri)`
Redundant markers in a list: Find intervals that are totally included in other intervals in the list
Methods in org.snpeff.interval with parameters of type Marker
Modifier and Type
Method
Description
`void`
CytoBands.`add(Marker m)`
`boolean`
Markers.`add(Marker marker)`
Add an interval to the collection
`void`
Gene.`addPerGene(Marker marker)`
Add a gene dependent marker
`protected void`
Marker.`adjust(Marker child)`
Adjust [start,end] to include child
`int`
IntervalComparatorByEnd.`compare(Marker i1, Marker i2)`
`int`
IntervalComparatorByStart.`compare(Marker i1, Marker i2)`
`int`
Marker.`distance(Marker interval)`
How far apart are these intervals?
`Exon`
Transcript.`findExon(Marker marker)`
Return an exon intersecting 'marker' (first exon found)
`List<Utr>`
Transcript.`findUtrs(Marker marker)`
Return the UTR that intersects 'marker' (null if not found)
`String`
MarkerSeq.`getSequence(Marker marker)`
Get sequence intersecting 'marker' WARNING: Sequence is always according to coding strand.
`boolean`
Marker.`includes(Marker marker)`
Is 'interval' completely included in 'this'?
`Marker`
Marker.`intersect(Marker marker)`
Intersect of two markers
`Markers`
Markers.`intersect(Marker marker)`
Intersection between 'marker' and all sub-intervals
`boolean`
Interval.`intersects(Marker interval)`
Do the intervals intersect?
`abstract boolean`
SpliceSite.`intersectsCoreSpliceSite(Marker marker)`
Core splice sites are defined as CORE_SPLICE_SITE_SIZE bases after exon end or before exon begins.
`boolean`
SpliceSiteAcceptor.`intersectsCoreSpliceSite(Marker marker)`
`boolean`
SpliceSiteBranch.`intersectsCoreSpliceSite(Marker marker)`
These are NOT core splice sites
`boolean`
SpliceSiteDonor.`intersectsCoreSpliceSite(Marker marker)`
`boolean`
SpliceSiteRegion.`intersectsCoreSpliceSite(Marker marker)`
`int`
Interval.`intersectSize(Marker interval)`
How much do intervals intersect?
`protected boolean`
Exon.`isAdjustIfParentDoesNotInclude(Marker parent)`
`protected boolean`
Marker.`isAdjustIfParentDoesNotInclude(Marker parent)`
Adjust parent if it does not include child?
`protected boolean`
Transcript.`isAdjustIfParentDoesNotInclude(Marker parent)`
`boolean`
Interval.`isSameChromo(Marker interval)`
`boolean`
Transcript.`isUtr(Marker marker)`
`Markers`
Marker.`minus(Marker interval)`
Return the difference between two markers
`Markers`
Markers.`minus(Marker interval)`
Calculate 'set minus' using one interval
`String`
Variant.`netChange(Marker marker)`
Only the part of the change that overlaps with a marker Return the change (always in positive strand)
`Markers`
CytoBands.`query(Marker marker)`
`Markers`
Exon.`query(Marker marker)`
Query all genomic regions that intersect 'marker'
`Markers`
IntervalAndSubIntervals.`query(Marker marker)`
Query all genomic regions that intersect 'marker'
`Markers`
Intron.`query(Marker marker)`
Query all genomic regions that intersect 'marker'
`Markers`
Marker.`query(Marker marker)`
Query all genomic regions that intersect 'marker' (this makes sense in Gene, Transcript, Exon, etc.)
`Markers`
Transcript.`query(Marker marker)`
Query all genomic regions that intersect 'marker'
`Exon`
Transcript.`queryExon(Marker interval)`
Return the first exon that intersects 'interval' (null if not found)
`Marker`
Marker.`union(Marker m)`
Union of two markers
`Marker`
MarkerSeq.`union(Marker m)`
Union of two markers
Method parameters in org.snpeff.interval with type arguments of type Marker
Modifier and Type
Method
Description
`boolean`
Markers.`addAll(Collection<? extends Marker> mm)`
Add all markers in this collection
`int`
Marker.`distanceBases(List<? extends Marker> markers, boolean fromEnd)`
Distance from the beginning/end of a list of intervals, until this SNP It count the number of bases in 'markers'
`static Map<Marker,Marker>`
MarkerUtil.`redundant(Collection<? extends Marker> markersOri)`
Redundant markers in a list: Find intervals that are totally included in other intervals in the list
Constructors in org.snpeff.interval with parameters of type Marker
Modifier
Constructor
Description
``
`Custom(Marker parent, int start, int end, boolean strandMinus, String id, String label)`
``
`Gene(Marker parent, int start, int end, boolean strandMinus, String id, String geneName, BioType bioType)`
``
`GenericMarker(Marker parent, int start, int end, String id)`
``
`GffMarker(Marker parent, int start, int end, boolean strandMinus, String id)`
``
`Gtf2Marker(Marker parent, int start, int end, boolean strandMinus, String id)`
``
`IntervalAndSubIntervals(Marker parent, int start, int end, boolean strandMinus, String id)`
``
`Marker(Marker parent, int start, int end)`
``
`Marker(Marker parent, int start, int end, boolean strandMinus, String id)`
``
`MarkerSeq(Marker parent, int start, int end, boolean strandMinus, String id)`
``
`MarkerSeq(Marker parent, int start, int end, String seq)`
``
`MicroRnaBindingSite(Marker parent, int start, int end, boolean strandMinus, String id, double pValue)`
``
`Motif(Marker parent, int start, int end, boolean strandMinus, String id, String pwmName, String pwmId)`
``
`RareAminoAcid(Marker parent, int start, int end, String id)`
``
`Regulation(Marker parent, int start, int end, boolean strandMinus, String id, String name, String regulationType)`
``
`Variant(Marker parent, int start, int end, String id)`
This constructor is used when we only have interval data (e.g.
``
`Variant(Marker parent, int position, String referenceStr, String altStr)`
``
`Variant(Marker parent, int position, String referenceStr, String altStr, String id)`
``
`VariantBnd(Marker parent, int start, String ref, String alt, Chromosome chrTr, int startTr, boolean left, boolean before)`
``
`VariantWithScore(Marker parent, int start, int end, String id, double score)`

## Uses of Marker in org.snpeff.interval.codonChange

Methods in org.snpeff.interval.codonChange with parameters of type Marker
Modifier and Type
Method
Description
`protected VariantEffect`
CodonChange.`effect(Marker marker, EffectType effectType, boolean allowReplace)`
Calculate variant effect
`protected VariantEffect`
CodonChange.`effectNoCodon(Marker marker, EffectType effectType)`
`protected VariantEffect`
CodonChange.`effectNoCodon(Marker marker, EffectType effectType, VariantEffect.EffectImpact effectImpact)`

## Uses of Marker in org.snpeff.interval.tree

Subinterfaces with type arguments of type Marker in org.snpeff.interval.tree
Modifier and Type
Interface
Description
`interface`
`Itree`
Interval tree interface
Classes in org.snpeff.interval.tree that implement interfaces with type arguments of type Marker
Modifier and Type
Class
Description
`class`
`IntervalNodeOri`
The Node class contains the interval tree information for one single node
Fields in org.snpeff.interval.tree declared as Marker
Modifier and Type
Field
Description
`protected static final Marker[]`
IntervalTreeArray.`EMPTY_MARKER_ARRAY`
`protected Marker[][]`
IntervalTreeArray.`intersectMarkers`
`protected Marker[]`
IntervalNode.`intervalsCenter`
Methods in org.snpeff.interval.tree that return types with arguments of type Marker
Modifier and Type
Method
Description
`Iterator<Marker>`
IntervalNodeOri.`iterator()`
`Iterator<Marker>`
IntervalTree.`iterator()`
`Iterator<Marker>`
IntervalTreeArray.`iterator()`
`Iterator<Marker>`
IntervalTreeOri.`iterator()`
Methods in org.snpeff.interval.tree with parameters of type Marker
Modifier and Type
Method
Description
`void`
IntervalForest.`add(Marker interval)`
Add an interval
`void`
IntervalTree.`add(Marker interval)`
Add an interval object to the interval tree's list Note: Marks the tree as 'not inSync', but will not rebuild the tree until the next query or call to build
`void`
IntervalTreeArray.`add(Marker interval)`
`void`
IntervalTreeOri.`add(Marker interval)`
Add an interval object to the interval tree's list Note: Marks the tree as 'not inSync', but will not rebuild the tree until the next query or call to build
`void`
Itree.`add(Marker interval)`
Add an interval object to the interval tree's list
`Markers`
IntervalForest.`query(Marker marker)`
Query all intervals that intersect with 'interval'
`Markers`
IntervalForest.`stab(Marker marker)`
Obtain all intervals that intersect with 'marker.start'
Method parameters in org.snpeff.interval.tree with type arguments of type Marker
Modifier and Type
Method
Description
`void`
IntervalForest.`add(Collection<? extends Marker> intervals)`
Add all intervals

## Uses of Marker in org.snpeff.outputFormatter

Methods in org.snpeff.outputFormatter with parameters of type Marker
Modifier and Type
Method
Description
`String`
BedOutputFormatter.`endSection(Marker marker)`
Finish up section
`String`
OutputFormatter.`endSection(Marker marker)`
Finish up section
`String`
VcfOutputFormatter.`endSection(Marker marker)`
Finish up section
`void`
OutputFormatter.`printSection(Marker marker)`
End this section and print results
`void`
BedOutputFormatter.`startSection(Marker marker)`
`void`
OutputFormatter.`startSection(Marker marker)`
Starts a new section
`void`
VcfOutputFormatter.`startSection(Marker marker)`

## Uses of Marker in org.snpeff.probablility

Methods in org.snpeff.probablility that return Marker
Modifier and Type
Method
Description
`Marker`
RandMarker.`rand(int readLen)`
Create a random marker of size readLen

## Uses of Marker in org.snpeff.serializer

Methods in org.snpeff.serializer that return Marker
Modifier and Type
Method
Description
`protected Marker`
MarkerSerializer.`getMarkerById(int id)`
`Marker`
MarkerSerializer.`getNextFieldMarker()`
Methods in org.snpeff.serializer with parameters of type Marker
Modifier and Type
Method
Description
`void`
MarkerSerializer.`doNotSave(Marker m)`
`int`
MarkerSerializer.`getIdByMarker(Marker m)`
`int`
MarkerSerializer.`save(Marker m)`
Save a marker
Method parameters in org.snpeff.serializer with type arguments of type Marker
Modifier and Type
Method
Description
`String`
MarkerSerializer.`save(Iterable<Marker> markersCollection)`
Save all markers

## Uses of Marker in org.snpeff.snpEffect

Fields in org.snpeff.snpEffect declared as Marker
Modifier and Type
Field
Description
`protected Marker`
Hgvs.`marker`
`protected Marker`
VariantEffect.`marker`
Methods in org.snpeff.snpEffect that return Marker
Modifier and Type
Method
Description
`Marker`
VariantEffect.`getMarker()`
`Marker`
VariantEffectFusion.`getMarker()`
`Marker`
VariantEffectStructural.`getMarker()`
Methods in org.snpeff.snpEffect with parameters of type Marker
Modifier and Type
Method
Description
`void`
SnpEffectPredictor.`add(Marker marker)`
Add a marker
`void`
VariantEffects.`add(Variant variant, Marker marker, EffectType effectType, String message)`
Add an effect
`void`
VariantEffects.`add(Variant variant, Marker marker, EffectType effectType, VariantEffect.EffectImpact effectImpact, String message)`
Add an effect
`void`
VariantEffects.`addEffectType(Variant variant, Marker marker, EffectType effectType)`
Add: If possible, only add an effect type (otherwise add the full effect)
`protected boolean`
VariantEffectStructural.`isGene(Marker m)`
`protected boolean`
VariantEffectStructural.`isTranscript(Marker m)`
`Markers`
SnpEffectPredictor.`query(Marker marker)`
Return a collection of intervals that intersect 'marker'
`Gene`
SnpEffectPredictor.`queryClosestGene(Marker inputInterval)`
Find closest gene to this marker
`Markers`
SnpEffectPredictor.`queryDeep(Marker marker)`
Return a collection of intervals that intersect 'marker' Query resulting genes, transcripts and exons to get ALL types of intervals possible
`Set<String>`
SnpEffectPredictor.`regions(Marker marker, boolean showGeneDetails, boolean compareTemplate)`
Name of the regions hit by a marker
`Set<String>`
SnpEffectPredictor.`regions(Marker marker, boolean showGeneDetails, boolean compareTemplate, String id)`
Name of the regions hit by a marker
`void`
VariantEffect.`set(Marker marker, EffectType effectType, VariantEffect.EffectImpact effectImpact, String message)`
`void`
VariantEffect.`setMarker(Marker marker)`
Set marker.
`void`
VariantEffects.`setMarker(Marker marker)`
Method parameters in org.snpeff.snpEffect with type arguments of type Marker
Modifier and Type
Method
Description
`protected int`
VariantEffectStructural.`countGenes(List<Marker> features)`
Constructors in org.snpeff.snpEffect with parameters of type Marker
Modifier
Constructor
Description
``
`VariantEffect(Variant variant, Marker marker, EffectType effectType, VariantEffect.EffectImpact effectImpact, String codonsOld, String codonsNew, int codonNum, int codonIndex, int cDnaPos)`
``
`VariantEffectFusion(Variant variant, Marker mLeft, Marker mRight)`

## Uses of Marker in org.snpeff.snpEffect.factory

Methods in org.snpeff.snpEffect.factory that return Marker
Modifier and Type
Method
Description
`protected Marker`
SnpEffPredictorFactory.`findMarker(String id)`
Methods in org.snpeff.snpEffect.factory with parameters of type Marker
Modifier and Type
Method
Description
`protected void`
SnpEffPredictorFactory.`add(Marker marker)`
Add a generic Marker
`protected void`
SnpEffPredictorFactory.`addMarker(Marker marker, boolean unique)`
Add a marker to the collection

## Uses of Marker in org.snpeff.stats

Methods in org.snpeff.stats with parameters of type Marker
Modifier and Type
Method
Description
`void`
PosStats.`sample(Marker marker, Marker markerReference)`
Use 'num' as a sample

## Uses of Marker in org.snpeff.svg

Methods in org.snpeff.svg with parameters of type Marker
Modifier and Type
Method
Description
`static Svg`
Svg.`factory(Marker m, Svg svg)`
Constructors in org.snpeff.svg with parameters of type Marker
Modifier
Constructor
Description
``
`Svg(Marker m, Svg svg)`
``
`SvgScale(Marker m, Svg svg)`
``
`SvgSpacer(Marker m, Svg svg)`

## Uses of Marker in org.snpeff.vcf

Subclasses of Marker in org.snpeff.vcf
Modifier and Type
Class
Description
`class`
`VariantVcfEntry`
Variant + VcfEntry This is used to 'outer-join' a VcfEntry into all its constituent variants.
`class`
`VcfEntry`
A VCF entry is a line in a VCF file A VCF line can have multiple variants, and multiple genotypes The VcfEntry represents the VCF line, NOT the variant itself.
Constructors in org.snpeff.vcf with parameters of type Marker
Modifier
Constructor
Description
``
`VcfEntry(VcfFileIterator vcfFileIterator, Marker parent, String chromosomeName, int start, String id, String ref, String altsStr, double quality, String filterPass, String infoStr, String format)`